MIX_GetTaggedTracks(3)

NAME
MIX_GetTaggedTracks - Get all tracks with a specific tag.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

MIX_Track ** MIX_GetTaggedTracks(MIX_Mixer *mixer, const char *tag, int *count);

DESCRIPTION
Tracks are not provided in any guaranteed order.

FUNCTION PARAMETERS

mixer
    the mixer to query.

tag the tag to search.

count
    a pointer filled in with the number of tracks returned, can be NULL.

RETURN VALUE
Returns an array of the tracks, NULL-terminated, or NULL on failure; call SDL_GetError() for more information. The returned pointer should be freed with SDL_free() when it is no longer needed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.